Bug 472322 - xfs requires a restart after booting
xfs requires a restart after booting
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 21:19 EST by Ian Lance Taylor
Modified: 2008-11-22 20:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 20:52:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Lance Taylor 2008-11-19 21:19:30 EST
Description of problem:

I am using Fedora 9 on a Lenovo T43P Thinkpad.  After I boot and log in, I normally start emacs by clicking on a button on the panel.  When I do this, it fails to start.  In my .xsession-errors file I see this:

Window manager warning: xserver doesn't have 'fixed' font.
No such XIM server is running: SCIM
Font `-Adobe-Courier-Medium-R-Normal--12-120-75-75-M-70-ISO8859-1' is not defined

This is repeatable.  When I see it, I run "sudo /etc/rc.d/init.d/xfs restart".  This fixes the problem, and emacs then starts.


Version-Release number of selected component (if applicable):

xorg-x11-xfs-1.0.5-2.fc9.i386

How reproducible:

Reboot computer, start emacs.
Comment 1 Matěj Cepl 2008-11-20 05:52:50 EST
Put that xfs out of misery and stop it (via chkconfig or remove the package altogether). Check that your xorg.conf (if you have one) doesn't contain any FontPath and check in /var/log/Xorg.0.log that it says something like:

(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins

Then restart Xorg (relogin). Does it help?
Comment 2 Ian Lance Taylor 2008-11-22 20:52:28 EST
Seems to work fine after your suggested changes.

Thanks a lot!

I assume this was some problem in the upgrade process.

Note You need to log in before you can comment on or make changes to this bug.